Filewatcher File Search File Search
Catalog
Content Search
» » » » » bsh-gcj_2.0b4-12_armhf.deb » Content »
pkg://bsh-gcj_2.0b4-12_armhf.deb:394478/usr/share/doc/bsh-gcj/  info  control  downloads

bsh-gcj - Java scripting environment (BeanShell) Version 2 (native code)…  more info»

changelog.Debian.gz

bsh (2.0b4-12) unstable; urgency=low

  * Build-depend on libservlet2.5-java instead of libservlet2.4-java.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 11 Jun 2010 16:20:23 +0200

bsh (2.0b4-11) unstable; urgency=low

  [ Ludovic Claude ]
  * Change bsh-gcj section to libs.

  [ Gabriele Giacone ]
  * Team upload.
  * Added bsh-src binary package generation.
  * Source format 3.0 (quilt).
  * debhelper compatibility to 7.
  * Standards-Version to 3.8.4.
  * Removed Arnaud Vandyck from Uploaders.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 16 Apr 2010 22:28:13 +0200

bsh (2.0b4-10) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 10:28:52 +0200

bsh (2.0b4-9) experimental; urgency=low

  * Change section to java, bump up Standards-Version to 3.8.1
  * Add support for -classpath option on xbsh script (closes: #504784)
  * rules: add optional support for gcj and optimisation
  * Add the Maven POM to the package,
  * Add a Build-Depends dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Sat, 09 May 2009 20:38:06 +0100

bsh (2.0b4-8ubuntu3) intrepid; urgency=low

  * bsh: Suggest libservlet2.4-java instead of libservlet2.3-java,
    suggest default-jre | java-runtime instead of libgcj8-1-awt.
    LP: #257402.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2008 14:56:14 +0000

bsh (2.0b4-8ubuntu2) intrepid; urgency=low

  * debian/control
    - Replace build dependency libservlet2.3-java with libservlet2.4-java.
    - Remove unneeded build dependency lynx.
    - Replace suggests libservlet2.3-java with libservlet2.4-java.
    - Remove libgcj8-1-awt from recommends to suggests.
  * debian/rules
    - Add appropriate jar file name for servlet api 2.4.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Wed, 13 Aug 2008 00:43:22 +0530

bsh (2.0b4-8ubuntu1) intrepid; urgency=low

  * Depend on default-jre-headless.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2008 10:46:33 +0000

bsh (2.0b4-8) unstable; urgency=low

  * Build-Depends on default-jdk-builddep. Closes: #477849
  * Clarified debian/copyright.
  * Put bsh-doc.doc-base.1 into Programming/Java section.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.
  * Added watch file.

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Apr 2008 20:12:21 -0100

bsh (2.0b4-7) unstable; urgency=low

  * Fixed menu file to follow new policy.
  * Recommend libgcj-8-1-awt instead of libgcj-7-1-awt.

 -- Michael Koch <konqueror@gmx.de>  Thu, 01 Nov 2007 07:32:43 +0100

bsh (2.0b4-6) unstable; urgency=low

  * bsh: Removed Recommends on xlibs. Closes: #372852.
  * bsh: Recommend libgcj7-1-awt. Closes: #401461.

 -- Michael Koch <konqueror@gmx.de>  Tue, 26 Jun 2007 09:16:37 +0200

bsh (2.0b4-5) unstable; urgency=low

  * Build a bsh-gcj package.
  * Move Build-Depends-Indep to Build-Depends.
  * Added myself to Uploaders and removed Wolfgang.

 -- Michael Koch <konqueror@gmx.de>  Sun, 10 Jun 2007 14:30:58 -0100

bsh (2.0b4-4) unstable; urgency=low

  * depends on java-gcj-compat (closes: #370411)
  * updated Standards Version to 3.7.2, nothing to do.
  * build with java-gcj-compat, kaffe removed from build-dep.

 -- Arnaud Vandyck <avdyk@debian.org>  Tue,  6 Jun 2006 09:41:10 +0000

bsh (2.0b4-3) unstable; urgency=low

  * kaffe compiler transition 

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 14:01:07 +0100

bsh (2.0b4-2) unstable; urgency=low

  * With the recent packaging of jline we are now able to provide a pure java
    commandline history function for bsh and therefore we can close our oldest
    bug (closes: #80572, #305529)
    + Added libjline-java to depends
    + Modified startup script to make use of jline
  * Register documentation with doc-base
  * Updated FSF address in debian/copyright

 -- Wolfgang Baer <WBaer@gmx.de>  Thu, 13 Oct 2005 16:34:14 +0200

bsh (2.0b4-1) unstable; urgency=low

  * New upstream release (closes: #261393, 321633)
  * Move to main - as libbsf-java moved to main
  * Build with kaffe / jikes - no more non-free JDK needed (closes: #306597)
  * Changed build system to cdbs
  * Patches:
    + Enable build of bsf adapter (01_EnableBsfAdapter_buildXml.patch)
    + Use AWTConsole if gnu classpath derived vm (02_GNUvms_workaround.patch)
    + target=1.3 to support JDK 1.3 (03_target13_buildXml.patch)
  * Added new documentation package and added javadoc
  * Added libbsf-java as Enhances (provides bsf adapter) and build-depends
  * Enabled junit tests - removed tests which also fail with SUN JDK
  * Changed libant1.6-java build-dep to ant (now in main)
  * Splitted bsh manpage into one for each version (bsh and xbsh)
  * Standards-Version 3.6.2 (no changes)
  * Added myself to uploaders
 
  * Upload sponsored by Petter Reinholdtsen

 -- Wolfgang Baer <WBaer@gmx.de>  Fri,  5 Aug 2005 20:11:00 +0200

bsh (1.3.0-3) unstable; urgency=low

  * debian/rules: apply a patch from Grzegorz B. Prokopski to change the
    directory for the compiler (closes: #300497).
  * debian/control: added lynx to the build-dep-indep.

 -- Arnaud Vandyck <avdyk@debian.org>  Wed, 23 Mar 2005 14:17:26 +0100

bsh (1.3.0-2) unstable; urgency=low

  * debian/bsh.1: changed the location of the 'more documentation'
    location. Thanks to Alex Malinovich (closes: #226955).

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 10 Jan 2004 01:00:13 +0100

bsh (1.3.0-1) unstable; urgency=low

  * New upstream release (closes: #192186).
  * New maintainer (closes: #224860).
  * debian/control:
    - Build-Depends-Indep: changed the debhelper version depends, added
      javacc (now in Debian), added j2sdk1.3.
    - Standards-Version: 3.6.1 (but did not change anything).
    - Description: removed the leading `A', added Homepage.
  * debian/rule:
    - removed the JAVACC_DIR variable and changed the location of jjtree
      and javacc
  * debian/xbsh:
    - added minimal and maximal size of the virtual machine.

 -- Arnaud Vandyck <avdyk@debian.org>  Sun, 28 Dec 2003 01:42:13 +0100

bsh (1.2b6-2) unstable; urgency=low

  * Orphan the package.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 23 Dec 2003 02:04:34 +0100

bsh (1.2b6-1) unstable; urgency=low

  * New upstream version (closes: #159673)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  9 Sep 2002 22:52:59 +0200

bsh (1.1alpha5-1) unstable; urgency=low

  * New maintainer (closes: #90307)
  * New upstream version
  * Build with j2sdk1.3 available from blackdown.  I think it still works
    with older jre's.  (It does, according to the docs.)
  * add bsh/classpath/*.class into the jar file
  * Updated standards-version to 3.5.2

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 16 Apr 2001 22:34:58 +0200

bsh (1.0-beta-2) unstable; urgency=low

  * Forgot to include bsh/commands/*.bsh into jar file.

 -- Ruud de Rooij <ruud@debian.org>  Fri,  5 Nov 1999 22:28:59 +0100

bsh (1.0-beta-1) unstable; urgency=low

  * New upstream release.
  * Move from non-free to contrib, since BeanShell is now LGPL but depends
    on JavaCC for compilation.
  * Updated debian/control, debian/copyright and debian/rules.

 -- Ruud de Rooij <ruud@debian.org>  Fri,  5 Nov 1999 21:17:35 +0100

bsh (0.96-3) unstable; urgency=low

  * Standards-Version: 3.0.1.

 -- Ruud de Rooij <ruud@debian.org>  Tue,  7 Sep 1999 18:42:09 +0200

bsh (0.96-2) unstable; urgency=low

  * Removed `free' from the package description.

 -- Ruud de Rooij <ruud@debian.org>  Mon, 16 Aug 1999 20:18:45 +0200

bsh (0.96-1) unstable; urgency=low

  * Initial Release.

 -- Ruud de Rooij <ruud@debian.org>  Sun, 11 Jul 1999 12:41:22 +0200

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com